GDB (xrefs)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
scoped_command_stats Class Reference

`#include "maint.h"`

## Public Member Functions
| scoped_command_stats (bool msg_type)
| ~scoped_command_stats ()

## Private Member Functions
scoped_command_stats & | operator= (const scoped_command_stats &)
| scoped_command_stats (const scoped_command_stats &)

## Private Attributes
bool | m_msg_type
int | m_time_enabled: 1
int | m_space_enabled: 1
int | m_symtab_enabled: 1
run_time_clock::time_point | m_start_cpu_time
std::chrono::steady_clock::time_point | m_start_wall_time
long | m_start_space
int | m_start_nr_symtabs
int | m_start_nr_compunit_symtabs
int | m_start_nr_blocks

## Detailed Description

Definition at line 32 of file maint.h.

## Constructor & Destructor Documentation

## ◆ scoped_command_stats() [1/2]

scoped_command_stats::scoped_command_stats | ( | bool | msg_type | ) |
| explicit

Definition at line 864 of file maint.c.

References count_symtabs_and_blocks(), lim_at_start, m_msg_type, m_space_enabled, m_start_cpu_time, m_start_nr_blocks, m_start_nr_compunit_symtabs, m_start_nr_symtabs, m_start_space, m_start_wall_time, m_symtab_enabled, m_time_enabled, run_time_clock::now(), per_command_space, per_command_symtab, per_command_time, and reset_prompt_for_continue_wait_time().

## ◆ ~scoped_command_stats()

scoped_command_stats::~scoped_command_stats | ( |  | ) |

Definition at line 796 of file maint.c.

References _, count_symtabs_and_blocks(), get_prompt_for_continue_wait_time(), lim_at_start, m_msg_type, m_space_enabled, m_start_cpu_time, m_start_nr_blocks, m_start_nr_compunit_symtabs, m_start_nr_symtabs, m_start_space, m_start_wall_time, m_symtab_enabled, m_time_enabled, run_time_clock::now(), per_command_space, per_command_symtab, per_command_time, and printf_unfiltered().

## ◆ scoped_command_stats() [2/2]

scoped_command_stats::scoped_command_stats | ( | const scoped_command_stats & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

scoped_command_stats& scoped_command_stats::operator= | ( | const scoped_command_stats & |  | ) |
| private

## Member Data Documentation

## ◆ m_msg_type

bool scoped_command_stats::m_msg_type
| private

Definition at line 47 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_space_enabled

int scoped_command_stats::m_space_enabled
| private

Definition at line 52 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_start_cpu_time

run_time_clock::time_point scoped_command_stats::m_start_cpu_time
| private

Definition at line 54 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_start_nr_blocks

int scoped_command_stats::m_start_nr_blocks
| private

Definition at line 62 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_start_nr_compunit_symtabs

int scoped_command_stats::m_start_nr_compunit_symtabs
| private

Definition at line 60 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_start_nr_symtabs

int scoped_command_stats::m_start_nr_symtabs
| private

Definition at line 58 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_start_space

long scoped_command_stats::m_start_space
| private

Definition at line 56 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_start_wall_time

std::chrono::steady_clock::time_point scoped_command_stats::m_start_wall_time
| private

Definition at line 55 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_symtab_enabled

int scoped_command_stats::m_symtab_enabled
| private

Definition at line 53 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

## ◆ m_time_enabled

int scoped_command_stats::m_time_enabled
| private

Definition at line 51 of file maint.h.

Referenced by scoped_command_stats(), and ~scoped_command_stats().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/maint.h
- /tmp/gdb-8.1/gdb/maint.c